Open CASCADE Technology: StepElement_CurveElementPurposeMember Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepElement_CurveElementPurposeMember Class Reference

Representation of member for STEP SELECT type CurveElementPurpose. More...

`#include <StepElement_CurveElementPurposeMember.hxx>`

Inheritance diagram for StepElement_CurveElementPurposeMember:
[legend]

## Public Member Functions
| StepElement_CurveElementPurposeMember ()
| Empty constructor. More...
virtual Standard_Boolean | HasName () const
| Returns True if has name. More...
virtual Standard_CString | Name () const
| Returns set name. More...
virtual Standard_Boolean | SetName (const Standard_CString name)
| Set name. More...
virtual Standard_Boolean | Matches (const Standard_CString name) const
| Tells if the name of a SelectMember matches a given one;. More...
Public Member Functions inherited from StepData_SelectNamed
| StepData_SelectNamed ()
const StepData_Field & | Field () const
StepData_Field & | CField ()
virtual Standard_Integer | Kind () const
virtual void | SetKind (const Standard_Integer kind)
virtual Standard_Integer | Int () const
| This internal method gives access to a value implemented by an Integer (to read it) More...
virtual void | SetInt (const Standard_Integer val)
| This internal method gives access to a value implemented by an Integer (to set it) More...
virtual Standard_Real | Real () const
virtual void | SetReal (const Standard_Real val)
virtual Standard_CString | String () const
virtual void | SetString (const Standard_CString val)
Public Member Functions inherited from StepData_SelectMember
| StepData_SelectMember ()
Interface_ParamType | ParamType () const
| Returns the Kind of the SelectMember, under the form of an enum ParamType. More...
Standard_Integer | Integer () const
| Gets the value as an Integer. More...
void | SetInteger (const Standard_Integer val)
Standard_Boolean | Boolean () const
void | SetBoolean (const Standard_Boolean val)
StepData_Logical | Logical () const
void | SetLogical (const StepData_Logical val)
Standard_Integer | Enum () const
virtual Standard_CString | EnumText () const
void | SetEnum (const Standard_Integer val, const Standard_CString text="")
virtual void | SetEnumText (const Standard_Integer val, const Standard_CString text)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of member for STEP SELECT type CurveElementPurpose.

## Constructor & Destructor Documentation

StepElement_CurveElementPurposeMember::StepElement_CurveElementPurposeMember | ( |  | ) |

Empty constructor.

## Member Function Documentation

virtual Standard_Boolean StepElement_CurveElementPurposeMember::HasName | ( |  | ) | const
| virtual

Returns True if has name.

Reimplemented from StepData_SelectNamed.

virtual Standard_Boolean StepElement_CurveElementPurposeMember::Matches | ( | const Standard_CString | name | ) | const
| virtual

Tells if the name of a SelectMember matches a given one;.

Reimplemented from StepData_SelectMember.

virtual Standard_CString StepElement_CurveElementPurposeMember::Name | ( |  | ) | const
| virtual

Returns set name.

Reimplemented from StepData_SelectNamed.

virtual Standard_Boolean StepElement_CurveElementPurposeMember::SetName | ( | const Standard_CString | name | ) |
| virtual

Set name.

Reimplemented from StepData_SelectNamed.

The documentation for this class was generated from the following file:

- StepElement_CurveElementPurposeMember.hxx